@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body, html {
font-family: 'Roboto', sans-serif;
overflow: hidden;
/*background-color: #000000;*/
}
header {
  min-height: 100px;
  max-height: 20em;
  /*border: 2px dotted rgb(93, 0, 255);*/
}

/*
#supercontainer {
  margin: 0;
  overflow-x: hidden;
  position: relative; 
}

#supercontainer::before,
#supercontainer::after {
  content: "";
  position: fixed;
  left: 0;
  width: 100%;
  background-color: rgb(0, 0, 0); 
  z-index: 1000;
  pointer-events: none;
}

#supercontainer::before {
  top: 0;
  height: 20px;
}

#supercontainer::after {
  bottom: 0;
  height: 20px;
}
*/

main {
  flex: 1;
  height: auto;
}
footer {
  /*border: 2px dotted rgb(0, 255, 251);*/
  position: relative;
  bottom: 0;
  color: white;
  text-align: center;
  padding: 10px;
  -webkit-app-region: no-drag;
  /*margin-top: -height(.navbar);*/
  min-height: 10px;
  max-height: 100px;
  z-index: 1;
  font-size: 1.2em;
}

.container {
  display: flex;
  flex-direction: column;
  height: 100vh;
  width: 100vw;
  align-items: center;
  background-image: url("");
  background-repeat: no-repeat;
  background-position: center bottom;
  background-size: cover;
  /*height: calc(var(--vh, 1vh) * 100);*/
}

.block {
  flex: 1;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.block1 {
  /*border: 2px solid red;*/

}

.block2 {
  
  /*border: 2px solid green;*/
}

.block3 {
  /*border: 2px solid blue;*/
}

.logo {
  width: 60vw;
  /*border: 2px solid rgb(176, 176, 176);*/
  margin-top: 2em;
}

.slogan {
  /*border: 2px solid rgb(197, 197, 197);*/
  width: 60vw;
  /*margin: 2em;*/

}

.text {
  /*font-size: 4em;*/
  /*font-family: 'Roboto', sans-serif;  */
  /*border: 2px solid rgb(255, 0, 0);*/
  /*padding: 10px;*/
  color: white;
  text-align: center;

}
.text h2 {
  line-height: 1.1em;
  font-size: 1.9em;

}
.text h3 {
  line-height: 1.5em;
  font-size: 0.8em;
  /*border: 2px solid rgb(0, 255, 42);*/
  /*padding: 20px;*/
  margin: 0 1em 0 1em;

}
.text p {
  line-height: 1em;
  font-size: 1.4em;
}

/*
.text:not(:empty):not(:last-of-type) {
  border: 2px solid rgb(255, 0, 0);
}
*/

h3:after {
  content: "";
  display: block;
 /* margin-bottom: 5px;*/

}

.button {
  background-color: rgba(0, 0, 0, 0.4);
  border: 2px solid rgb(255, 255, 255);
  border-radius: 10px;
  color: white;
  font-size: 5vw;
  padding: 10px;
  bottom: 0;
  width: 9em;
  height: auto;
  visibility: hidden;
  z-index: 9;
  margin: 1em;
}


.social-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 8px;
  margin-top: 1em;
}



.loader {
  /*border: 2px solid rgb(0, 255, 251);*/
  position: absolute;
  top: calc(50% - (50px /2));
  left: calc(50% - (50px /2));
  display: none;

}

.loader svg {
   animation-name: rotate; 
   animation-duration: .6s; 
   animation-iteration-count: infinite; 
   animation-timing-function: linear; 
   height:50px; 
   width:auto; 
   fill:#000000; 
}
@keyframes rotate { 
   from { transform: rotate(0deg); } 
   to { transform: rotate(360deg); } 
}


/* Media query para smartphones de gama media (entre 320px y 480px de ancho)  PARA PROBAR */
@media screen and (min-width: 320px) and (max-width: 350px) {
  .logo {
    width: 40%; 
    
  }
  .text{
    margin-top: 0;
    scale: 0.6;
  }
  .slogan{


  }

  .button {
    font-size: 1em; /* Reduce el tamaño del botón */
    padding: 4px; /* Reduce el relleno del botón */
   
  }
  .social-buttons {
    scale: 0.7;
    bottom: 16vh;
  }
  .footer {
    scale: 0.6;
    bottom: 15vh;
  }
  
}

/* Media query para smartphones de gama alta (entre 360px y 812px de ancho) */
@media screen and (min-width: 360px) and (max-width: 812px) and (orientation: portrait) {
  header {
    min-height: 100px;
    max-height: 8em;

  }
  main {
    min-height: 50px;
    max-height: 30em;
    /*border: 2px solid rgb(197, 197, 197);*/

  }
  footer {
    /*border: 2px solid rgb(197, 197, 197);*/
    min-height: 30px;
    max-height: 10em;
  }

.branding {
  /*border: 2px dotted rgb(225, 0, 255);*/
  height: 5.5em;
  margin: 1em;
}

  .container {
    clear: both;
    display: table;
    background-position: center bottom;
    background-position: 60% 80%;
    /*border: 2px dotted rgb(225, 0, 255);*/

  }
  
   .block1 {
    /*border: 2px dotted rgb(251, 255, 0);*/
    padding: 2em;
  }

  .block2 {
    /*border: 2px solid rgb(0, 255, 251);*/
    padding-bottom: 4em;
   }
 
  .logo {
    /*width: 300px;*/
   width: 50vw; 
   margin-top: 1em;
   /*border: 2px dotted rgb(251, 255, 0);*/
  }

  .text {
    /*  font-size: 1.4em; */
    /*border: 2px solid rgb(255, 0, 217);*/
    width: 90%;
  margin: 0 auto;
    font-size: relative;
    }

  .text h3{
    margin-top: 4vh;
    font-size: auto;

  }

  .button {
    font-size: 1.2em; 
    bottom:  1.3em; 
    margin-bottom: 3em;
  }
  .slogan {
    /*border: 2px solid rgb(197, 197, 197);*/
    width: 80vw; /* Ajusta el tamaño del logo */

  }

  .social-buttons {
    bottom: 16vh;
  }
  
  .footer {
    font-size: 1em;
    position: fixed;
    bottom: 3vh;
  }
  



}


/* Media query para teléfono y tablets en modo horizontal (entre 480px y 1024px de ancho) */

@media screen and (min-width: 480px) and (max-width: 1024px) and (orientation: landscape) {
  header {
    min-height: 50px;
    max-height: 30em;
  }
  main {
    min-height: 100px;
    max-height: 32em;
    /*border: 2px solid rgb(149, 255, 0);*/
  }
  footer {
    width: 100%;
    height: 10%;
    position: fixed;
    bottom: 1em;
  }

  .container {
    clear: both;
    display: table;
    background-position: center bottom;
    background-position: 25% 80%;
    /*border: 2px dotted rgb(225, 0, 255);*/

  }
 
  .block1 {
    float: left;
    width: 50vw;
    height: 80vh;
    justify-content: center;
    align-items: center;
    /*border: 2px dotted rgb(225, 0, 255);*/
  }

  .block2{
    float: right;
    width: 50vw;
    height: 80vh;
    justify-content: center;
    align-items: center;
    margin-top: 1.2em;

  }
  
  .social-buttons {
    position: absolute;
    left: 15vw;
    scale: 0.8;
    bottom: 20vh;
  }

.branding {
  /*height: auto;*/
  text-align: center;
  /*border: 2px solid rgb(255, 0, 251);*/
}

.logo {
  transform: translateY(-1em);
  width: 35vw; 
  align-self: center;
  float: left;
  top: 0px;

}

.slogan {
  /*transform: translateY(-2em);*/
  /*transform: translateX(-10em);*/
  width: 25vw; 
  /*height: auto;*/
  margin: 1em;
  padding: 0;
  /*border: 2px solid rgb(197, 197, 197);*/
}
.text {
  align-self: center;
  /*border: 2px solid rgb(0, 255, 42);*/
  margin: 0;
  padding: 0;
  /*padding: 20px;*/
  margin: 0 1em 0 1em; /* margin horizontal*/
}

.text h3 {
  /*border: 2px solid rgb(27, 93, 158);*/

}

.button{
    /*transform: translateY(-5em);*/
    width: 25vw;
    margin: 0;
    font-size:calc(10px + 1.2vw);
    margin: 1em;
  }

  .social-buttons {
    font-size: 0.6em;
    align-items: center;
    bottom: 25vh;


  }
  


}


/* Media query para iPads portrait */

@media screen and (min-width: 768px) and (max-width: 1024px)and (orientation: portrait) {
  header {
    min-height: 50px;
    max-height: 15em;
  }
  main {
    min-height: 100px;
    max-height: 26em;
  }
  footer {
    min-height: 50px;
    max-height: 10em;
    position: fixed;
    bottom: 2em;
  }
 
   .block1 {
    margin-top: 2em;
    height: 20%;
    /*border: 2px dotted rgb(251, 255, 0);*/

  }
  
  .block2 {
    top: 10px;
    height: auto;
    /*border: 2px dotted rgb(9, 228, 68);*/
   }

  .logo{
    margin-bottom: 3em;
    width: 20em;
  }
  
  .text {
    font-size: 1.2em; 
    height: auto;
    font-size: relative;
 
    
    }

  .branding {

  height: auto;

  }
  .slogan {
      /*border: 2px solid rgb(197, 197, 197);*/
      width: 60vw; /* Ajusta el tamaño del logo */
      padding: 1em;
  }
      
  

  .button {
  bottom: 3em;
  font-size: 24px; 
  width: 30vw;
  margin-bottom: 1em;
  padding: 8px;
  }
  

}


/* Media query para computadoras de escritorio o macbooks retina (más de 1024px de ancho y resolución de 2dppx o más) */
/*
@media screen and (min-width: 1024px) and (min-resolution: 2dppx) {
  */
@media screen and (min-width: 1024px) and (orientation: landscape) {
  /* Aquí puedes poner las reglas que quieras para este caso */
  
  .block1 {
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
  }
  .button{
    /*border: 2px solid rgb(255, 0, 251);*/
    /*font-size:calc(12px + 1.1vw);*/
    font-size: 1.2em;
  }
  .logo {
    /*width: auto;*/
    width: 20em;
    margin-left: 10px;
    /*border: 2px solid rgb(255, 0, 251);*/
  }
.slogan {
  align-self: flex-end;
  width: 20em;
  margin-left: 10px;
  /*border: 2px solid rgb(255, 0, 251);*/
}

.footer {
  font-size: 1em;
  position: fixed;
  bottom: 3vh;
}


}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}



/*
.social-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 8px;
  margin-top: 1em;

}
*/
.social-button {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  outline: none;
  width: 45px;
  height: 45px;
  text-decoration: none;
  border-radius: 100%;
  background: #fff;
  text-align: center;
  
}
/*
.social-button::after {
  content: "";
  position: absolute;
  top: -1px;
  left: 50%;
  display: block;
  width: 0;
  height: 0;
  border-radius: 100%;
  transition: 0.3s;
}
*/
.social-button:focus, .social-button:hover {
  color: #fff;
}
.social-button:focus::after, .social-button:hover::after {
  width: calc(100% + 2px);
  height: calc(100% + 2px);
  margin-left: calc(-50% - 1px);
}
.social-button i,
.social-button svg {
  position: relative;
  z-index: 1;
  transition: 0.3s;
}
.social-button i {
  font-size: 30px;
  opacity: 0.7;
}
.social-button svg {
  height: 35%;
  width: 35%;
}

.fa-facebook {
  background: #ffffff;
  color: black;
}

.fa-youtube {
  background: #ffffff;
  color: black;
}

.fa-instagram {
  background:  #ffffff;
  color: black;
}

.fa-google {
  background:  #ffffff;
  color: black;
}

a {
  text-decoration: none;
  color: white;
}
.progress-bar {
  width: 100%;
  height: 10px;
  background-color: white;
  border-radius: 10px;
}

.progress-bar-fill {
  width: 0%;
  height: 100%;
  background-color: #000;
  border-radius: 5px;
}
.progress-bar-text {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 20px;
  font-size: 12px;
  text-align: center;
}

.mask {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  clip-path: inset(0 0 -1080px -1920px);
}


.dynamic-zoom {
  -o-animation: 30s ease 0s normal none infinite running zoomin;
  -webkit-animation: 30s ease 0s normal none infinite running zoomin;
  -moz--o-animation: 30s ease 0s normal none infinite running zoomin;
  animation: 30s ease 0s normal none infinite running zoomin;
}

@keyframes zoomin {
  0% {
    transform: scale(1.2, 1.2)
  }

  50% {
    transform: scale(1, 1)
  }

  100% {
    transform: scale(1.2, 1.2)
  }
}



